Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticloadbalancing
Class AmazonElasticLoadBalancingClient

    java.lang.Object
      com.amazonaws.AmazonWebServiceClient
          com.amazonaws.services.elasticloadbalancing.AmazonElasticLoadBalancingClient

All Implemented Interfaces:
  AmazonElasticLoadBalancing

Direct Known Subclasses:
  AmazonElasticLoadBalancingAsyncClient

    public class AmazonElasticLoadBalancingClient

extends AmazonWebServiceClient
implements AmazonElasticLoadBalancing

Client for accessing AmazonElasticLoadBalancing. All service calls made using this client are blocking, and will not return until the service call completes.

Constructor Summary
`AmazonElasticLoadBalancingClient(AWSCredentials awsCredentials)` Constructs a new client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials.
`AmazonElasticLoadBalancingClient(AWSCredentials awsCredentials, ClientConfiguration clientConfiguration)` Constructs a new client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials and client configuration options.

Method Summary
`ConfigureHealthCheckResult` | `configureHealthCheck(ConfigureHealthCheckRequest configureHealthCheckRequest)`
`CreateAppCookieStickinessPolicyResult` | `createAppCookieStickinessPolicy(CreateAppCookieStickinessPolicyRequest createAppCookieStickinessPolicyRequest)`
`CreateLBCookieStickinessPolicyResult` | `createLBCookieStickinessPolicy(CreateLBCookieStickinessPolicyRequest createLBCookieStickinessPolicyRequest)`
`CreateLoadBalancerResult` | `createLoadBalancer(CreateLoadBalancerRequest createLoadBalancerRequest)`
`void` | `deleteLoadBalancer(DeleteLoadBalancerRequest deleteLoadBalancerRequest)`
`DeleteLoadBalancerPolicyResult` | `deleteLoadBalancerPolicy(DeleteLoadBalancerPolicyRequest deleteLoadBalancerPolicyRequest)`
`DeregisterInstancesFromLoadBalancerResult` | `deregisterInstancesFromLoadBalancer(DeregisterInstancesFromLoadBalancerRequest deregisterInstancesFromLoadBalancerRequest)`
`DescribeInstanceHealthResult` | `describeInstanceHealth(DescribeInstanceHealthRequest describeInstanceHealthRequest)`
`DescribeLoadBalancersResult` | `describeLoadBalancers()`
`DescribeLoadBalancersResult` | `describeLoadBalancers(DescribeLoadBalancersRequest describeLoadBalancersRequest)`
`DisableAvailabilityZonesForLoadBalancerResult` | `disableAvailabilityZonesForLoadBalancer(DisableAvailabilityZonesForLoadBalancerRequest disableAvailabilityZonesForLoadBalancerRequest)`
`EnableAvailabilityZonesForLoadBalancerResult` | `enableAvailabilityZonesForLoadBalancer(EnableAvailabilityZonesForLoadBalancerRequest enableAvailabilityZonesForLoadBalancerRequest)`
`RegisterInstancesWithLoadBalancerResult` | `registerInstancesWithLoadBalancer(RegisterInstancesWithLoadBalancerRequest registerInstancesWithLoadBalancerRequest)`
`SetLoadBalancerPoliciesOfListenerResult` | `setLoadBalancerPoliciesOfListener(SetLoadBalancerPoliciesOfListenerRequest setLoadBalancerPoliciesOfListenerRequest)`

Methods inherited from class com.amazonaws.AmazonWebServiceClient
`setEndpoint, shutdown`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.amazonaws.services.elasticloadbalancing.AmazonElasticLoadBalancing
`setEndpoint, shutdown`

Constructor Detail

### AmazonElasticLoadBalancingClient

    public AmazonElasticLoadBalancingClient(AWSCredentials awsCredentials)

  Constructs a new client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials.

  All service calls made using this new client object are blocking, and will not return until the service call completes.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.

### AmazonElasticLoadBalancingClient

    public AmazonElasticLoadBalancingClient(AWSCredentials awsCredentials,
                                            ClientConfiguration clientConfiguration)

  Constructs a new client to invoke service methods on AmazonElasticLoadBalancing using the specified AWS account credentials and client configuration options.

  All service calls made using this new client object are blocking, and will not return until the service call completes.

  Parameters:
    `awsCredentials` - The AWS credentials (access key ID and secret key) to use when authenticating with AWS services.
    `clientConfiguration` - The client configuration options controlling how this client connects to AmazonElasticLoadBalancing (ex: proxy settings, retry counts, etc.).

Method Detail

### setLoadBalancerPoliciesOfListener

    public SetLoadBalancerPoliciesOfListenerResult setLoadBalancerPoliciesOfListener(SetLoadBalancerPoliciesOfListenerRequest setLoadBalancerPoliciesOfListenerRequest)
                                                                              throws AmazonServiceException,
                                                                                     AmazonClientException

  Specified by:
    `setLoadBalancerPoliciesOfListener` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `setLoadBalancerPoliciesOfListenerRequest` - Container for the necessary parameters to execute the SetLoadBalancerPoliciesOfListener service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the SetLoadBalancerPoliciesOfListener service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `ListenerNotFoundException`
    `PolicyNotFoundException`
    `InvalidConfigurationRequestException`
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### describeLoadBalancers

    public DescribeLoadBalancersResult describeLoadBalancers(DescribeLoadBalancersRequest describeLoadBalancersRequest)
                                                      throws AmazonServiceException,
                                                             AmazonClientException

  Specified by:
    `describeLoadBalancers` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `describeLoadBalancersRequest` - Container for the necessary parameters to execute the DescribeLoadBalancers service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the DescribeLoadBalancers service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createAppCookieStickinessPolicy

    public CreateAppCookieStickinessPolicyResult createAppCookieStickinessPolicy(CreateAppCookieStickinessPolicyRequest createAppCookieStickinessPolicyRequest)
                                                                          throws AmazonServiceException,
                                                                                 AmazonClientException

  Specified by:
    `createAppCookieStickinessPolicy` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `createAppCookieStickinessPolicyRequest` - Container for the necessary parameters to execute the CreateAppCookieStickinessPolicy service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the CreateAppCookieStickinessPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `InvalidConfigurationRequestException`
    `DuplicatePolicyNameException`
    `LoadBalancerNotFoundException`
    `TooManyPoliciesException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### disableAvailabilityZonesForLoadBalancer

    public DisableAvailabilityZonesForLoadBalancerResult disableAvailabilityZonesForLoadBalancer(DisableAvailabilityZonesForLoadBalancerRequest disableAvailabilityZonesForLoadBalancerRequest)
                                                                                          throws AmazonServiceException,
                                                                                                 AmazonClientException

  Specified by:
    `disableAvailabilityZonesForLoadBalancer` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `disableAvailabilityZonesForLoadBalancerRequest` - Container for the necessary parameters to execute the DisableAvailabilityZonesForLoadBalancer service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the DisableAvailabilityZonesForLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `InvalidConfigurationRequestException`
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### describeInstanceHealth

    public DescribeInstanceHealthResult describeInstanceHealth(DescribeInstanceHealthRequest describeInstanceHealthRequest)
                                                        throws AmazonServiceException,
                                                               AmazonClientException

  Specified by:
    `describeInstanceHealth` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `describeInstanceHealthRequest` - Container for the necessary parameters to execute the DescribeInstanceHealth service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the DescribeInstanceHealth service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `InvalidInstanceException`
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createLoadBalancer

    public CreateLoadBalancerResult createLoadBalancer(CreateLoadBalancerRequest createLoadBalancerRequest)
                                                throws AmazonServiceException,
                                                       AmazonClientException

  Specified by:
    `createLoadBalancer` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `createLoadBalancerRequest` - Container for the necessary parameters to execute the CreateLoadBalancer service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the CreateLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `TooManyLoadBalancersException`
    `DuplicateLoadBalancerNameException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### registerInstancesWithLoadBalancer

    public RegisterInstancesWithLoadBalancerResult registerInstancesWithLoadBalancer(RegisterInstancesWithLoadBalancerRequest registerInstancesWithLoadBalancerRequest)
                                                                              throws AmazonServiceException,
                                                                                     AmazonClientException

  Specified by:
    `registerInstancesWithLoadBalancer` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `registerInstancesWithLoadBalancerRequest` - Container for the necessary parameters to execute the RegisterInstancesWithLoadBalancer service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the RegisterInstancesWithLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `InvalidInstanceException`
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deregisterInstancesFromLoadBalancer

    public DeregisterInstancesFromLoadBalancerResult deregisterInstancesFromLoadBalancer(DeregisterInstancesFromLoadBalancerRequest deregisterInstancesFromLoadBalancerRequest)
                                                                                  throws AmazonServiceException,
                                                                                         AmazonClientException

  Specified by:
    `deregisterInstancesFromLoadBalancer` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `deregisterInstancesFromLoadBalancerRequest` - Container for the necessary parameters to execute the DeregisterInstancesFromLoadBalancer service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the DeregisterInstancesFromLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `InvalidInstanceException`
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deleteLoadBalancer

    public void deleteLoadBalancer(DeleteLoadBalancerRequest deleteLoadBalancerRequest)
                            throws AmazonServiceException,
                                   AmazonClientException

  Specified by:
    `deleteLoadBalancer` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `deleteLoadBalancerRequest` - Container for the necessary parameters to execute the DeleteLoadBalancer service method on AmazonElasticLoadBalancing.
  Throws:
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### configureHealthCheck

    public ConfigureHealthCheckResult configureHealthCheck(ConfigureHealthCheckRequest configureHealthCheckRequest)
                                                    throws AmazonServiceException,
                                                           AmazonClientException

  Specified by:
    `configureHealthCheck` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `configureHealthCheckRequest` - Container for the necessary parameters to execute the ConfigureHealthCheck service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the ConfigureHealthCheck service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### enableAvailabilityZonesForLoadBalancer

    public EnableAvailabilityZonesForLoadBalancerResult enableAvailabilityZonesForLoadBalancer(EnableAvailabilityZonesForLoadBalancerRequest enableAvailabilityZonesForLoadBalancerRequest)
                                                                                        throws AmazonServiceException,
                                                                                               AmazonClientException

  Specified by:
    `enableAvailabilityZonesForLoadBalancer` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `enableAvailabilityZonesForLoadBalancerRequest` - Container for the necessary parameters to execute the EnableAvailabilityZonesForLoadBalancer service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the EnableAvailabilityZonesForLoadBalancer service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### createLBCookieStickinessPolicy

    public CreateLBCookieStickinessPolicyResult createLBCookieStickinessPolicy(CreateLBCookieStickinessPolicyRequest createLBCookieStickinessPolicyRequest)
                                                                        throws AmazonServiceException,
                                                                               AmazonClientException

  Specified by:
    `createLBCookieStickinessPolicy` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `createLBCookieStickinessPolicyRequest` - Container for the necessary parameters to execute the CreateLBCookieStickinessPolicy service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the CreateLBCookieStickinessPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `InvalidConfigurationRequestException`
    `DuplicatePolicyNameException`
    `LoadBalancerNotFoundException`
    `TooManyPoliciesException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### deleteLoadBalancerPolicy

    public DeleteLoadBalancerPolicyResult deleteLoadBalancerPolicy(DeleteLoadBalancerPolicyRequest deleteLoadBalancerPolicyRequest)
                                                            throws AmazonServiceException,
                                                                   AmazonClientException

  Specified by:
    `deleteLoadBalancerPolicy` in interface `AmazonElasticLoadBalancing`
  Parameters:
    `deleteLoadBalancerPolicyRequest` - Container for the necessary parameters to execute the DeleteLoadBalancerPolicy service method on AmazonElasticLoadBalancing.
  Returns:
    The response from the DeleteLoadBalancerPolicy service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `InvalidConfigurationRequestException`
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

### describeLoadBalancers

    public DescribeLoadBalancersResult describeLoadBalancers()
                                                      throws AmazonServiceException,
                                                             AmazonClientException

  Specified by:
    `describeLoadBalancers` in interface `AmazonElasticLoadBalancing`
  Returns:
    The response from the DescribeLoadBalancers service method, as returned by AmazonElasticLoadBalancing.
  Throws:
    `LoadBalancerNotFoundException`
    `AmazonClientException` - If any internal errors are encountered inside the client while attempting to make the request or handle the response. For example if a network connection is not available.
    `AmazonServiceException` - If an error response is returned by AmazonElasticLoadBalancing indicating either a problem with the data in the request, or a server side issue.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.